<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform' xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"  xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0">

    <xsl:template match="fiche" mode="component-Header">
        <text:h text:style-name="Heading_20_2" text:outline-level="2"><xsl:apply-templates select="." mode="include-fiche-Title"/></text:h>
    </xsl:template>
    
    <xsl:template match="soustitre" mode="component-Header">
        <text:p text:style-name="FicheSubtitle"><xsl:apply-templates select="*" mode="ficheitem-Inline"/></text:p>
    </xsl:template>
    
    <xsl:template match="extraitthesaurus|motcles" mode="component-Inline">
        <xsl:param name="param_Label" select="''"/>
        <xsl:param name="param_Separator" select="' ; '"/>
        <xsl:param name="param_Lang" select="$WORKINGLANG"/>
        <text:p text:style-name="FicheField">
            <text:span text:style-name="FicheLabel">➢ 
                <xsl:value-of select="$param_Label"/> : 
            </text:span>
            <xsl:apply-templates select="." mode="motcle-Inline">
                <xsl:with-param name="param_Separator" select="$param_Separator"/>
                <xsl:with-param name="param_Lang" select="$param_Lang"/>
            </xsl:apply-templates>
        </text:p>
    </xsl:template>
    
    <xsl:template match="extraitthesaurus|motcles" mode="component-Listitem">
        <xsl:param name="param_Label" select="''"/>
        <xsl:param name="param_Class" select="'FicheFieldLi'"/>
        <xsl:param name="param_Lang" select="$WORKINGLANG"/>
        <text:p text:style-name="FicheFieldLabel"><text:span text:style-name="FicheLabel">➢ <xsl:value-of select="$param_Label"/> :</text:span></text:p>
        <text:list text:style-name="FicheUl">
            <xsl:apply-templates select="." mode="motcle-Listitem">
                <xsl:with-param name="param_Class" select="$param_Class"/>
                <xsl:with-param name="param_Lang" select="$param_Lang"/>
            </xsl:apply-templates>
            </text:list>
    </xsl:template>
    
    <xsl:template match="extraitcorpus|fiches|extraitaddenda|documents" mode="component-Listitem">
        <xsl:param name="param_Label" select="''"/>
        <xsl:param name="param_Class" select="'FicheFieldLi'"/>
        <text:p text:style-name="FicheFieldLabel"><text:span text:style-name="FicheLabel">➢ <xsl:value-of select="$param_Label"/> :</text:span></text:p>
        <text:list text:style-name="FicheUl">
            <xsl:apply-templates select="." mode="include-Listitem">
                <xsl:with-param name="param_Class" select="$param_Class"/>
            </xsl:apply-templates>
            </text:list>
    </xsl:template>

    <xsl:template match="extraitalbum|illustrations" mode="component-Inline">
        <xsl:param name="param_Label" select="''"/>
        <xsl:param name="param_Separator" select="' '"/>
        <text:p text:style-name="FicheField">
            <text:span text:style-name="FicheLabel">➢ 
                <xsl:value-of select="$param_Label"/> : 
            </text:span>
            <xsl:apply-templates select="." mode="include-Inline">
                <xsl:with-param name="param_Separator" select="$param_Separator"/>
            </xsl:apply-templates>
        </text:p>
    </xsl:template>
    
    <xsl:template match="propriete|redacteurs|lang|information" mode="component-Inline">
        <xsl:param name="param_Label" select="''"/>
        <xsl:param name="param_Separator" select="', '"/>
        <text:p text:style-name="FicheField"><text:span text:style-name="FicheLabel">➢ <xsl:value-of select="$param_Label"/> : </text:span><xsl:apply-templates select="*" mode="ficheitem-Inline">
                <xsl:with-param name="param_Separator" select="$param_Separator"/>
            </xsl:apply-templates></text:p>
    </xsl:template>
    
    <xsl:template match="information" mode="component-Listitem">
        <xsl:param name="param_Label" select="''"/>
        <xsl:param name="param_Class" select="'FicheFieldLi'"/>
        <text:p text:style-name="FicheFieldLabel"><text:span text:style-name="FicheLabel">➢ <xsl:value-of select="$param_Label"/> :</text:span></text:p>
        <text:list text:style-name="FicheUl">
            <xsl:apply-templates select="*" mode="ficheitem-Listitem">
                <xsl:with-param name="param_Class" select="$param_Class"/>
            </xsl:apply-templates>
        </text:list>
    </xsl:template>
    
    <xsl:template match="information" mode="component-Block">
        <xsl:param name="param_Label" select="''"/>
        <xsl:param name="param_Class" select="'FicheFieldItem'"/>
        <text:p text:style-name="FicheFieldLabel"><text:span text:style-name="FicheLabel">➢ <xsl:value-of select="$param_Label"/> :</text:span></text:p>
        <xsl:apply-templates select="*" mode="ficheitem-Block">
            <xsl:with-param name="param_Class" select="$param_Class"/>
        </xsl:apply-templates>
    </xsl:template>
       
    <xsl:template match="section" mode="component-Section">
        <xsl:param name="param_Label" select="''"/>
        <text:p text:style-name="FicheSectionLabel"><xsl:value-of select="$param_Label"/></text:p>
        <xsl:apply-templates select="*"/>
        <text:p text:style-name="FicheSeparator">❖ ❖ ❖</text:p>
    </xsl:template>
    
    <xsl:template match="fiche" mode="component-Chrono">
        <xsl:param name="param_CreationLabel" select="''"/>
        <xsl:param name="param_ModificationLabel" select="''"/>
        <text:p text:style-name="FicheChrono"><xsl:value-of select="$param_CreationLabel"/> : <xsl:apply-templates select="chrono/datation[1]" mode="ficheitem-Inline"/> — <xsl:value-of select="$param_ModificationLabel"/> : <xsl:apply-templates select="chrono/datation[position() = last()]" mode="ficheitem-Inline"/></text:p>
    </xsl:template>
    
    <xsl:template match="data" mode="component-Listitem">
        <xsl:param name="param_Label" select="''"/>
        <xsl:param name="param_Class" select="'FicheFieldLi'"/>
        <text:p text:style-name="FicheFieldLabel"><text:span text:style-name="FicheLabel">➢ <xsl:value-of select="$param_Label"/> :</text:span></text:p>
        <text:list text:style-name="FicheUl">
            <xsl:apply-templates select="." mode="data-Listitem">
                <xsl:with-param name="param_Class" select="$param_Class"/>
            </xsl:apply-templates>
            </text:list>
    </xsl:template>
    
</xsl:stylesheet>
